.flex-layout.cta_media_combined-layout {
    display: flex;
    width: 100%;
    padding-inline: 0;
}

/* ── Photo album row ────────────────────────────────────────── */
.flex-layout.cta_media_combined-layout .cta_photo_album-row {
    background: var(--tertiary-color);
    color: var(--pk-text-color-dark);
    width: 50%;
    padding-inline: 0;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-row-content {
    padding-inline: var(--pk-site-gutter);
    position: relative;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-grid-container {
    align-items: center;
    height: 100%;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-cover {
    position: relative;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-cover svg {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-cover img {
    aspect-ratio: 1;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-subheading,
.flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-text {
    font-family: var(--pk-heading-font-family);
    font-weight: var(--pk-heading-font-weight);
    text-transform: uppercase;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-text>span:first-child {
    display: flex;
    align-items: center;
    gap: 6px;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-subheading {
    font-size: var(--scaling-h6-sm);
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-text {
    font-size: var(--scaling-h2-md);
    line-height: 1.1;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-text .link-wrap {
    display: flex;
    align-items: center;
    gap: 4px;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-text .link-wrap a {
    color: var(--pk-text-color-dark);
    text-decoration: none;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-text .link-wrap a:hover {
    text-decoration: underline;
}

.flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-content .csp-link {
    display: flex;
    background: #000;
    color: var(--pk-text-color);
    text-decoration: none;
    padding-block: var(--pk-button-padding-block);
    padding-inline: var(--pk-button-padding-inline);
    font-family: var(--pk-button-font-family);
    font-size: var(--pk-button-font-size);
    font-weight: 700;
    line-height: 1.6;
    letter-spacing: 0.8px;
    text-transform: uppercase;
    margin-right: -200px;
    z-index: 4;
    position: relative;
    margin-top: 1rem;
    justify-content: center;
}

@media screen and (max-width: 992px) {
    .flex-layout.cta_media_combined-layout .cta_photo_album-row {
        padding-block: 2rem;
        min-height: 230px;
    }

    .flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-content .csp-link {
        margin-right: 0;
        position: absolute;
        left: 2rem;
        bottom: 0;
    }

    .flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-grid-container {
        align-items: flex-start;
    }
}

@media screen and (max-width: 767px) {
    .flex-layout.cta_media_combined-layout .cta_photo_album-row {
        width: 100%;
        min-height: 220px;
    }

    .flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-row-content {
        padding-inline: 2rem;
        position: relative;
        min-height: unset;
    }

    .flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-grid-container {
        display: flex;
        align-items: start;
        gap: 20px;
    }

    .flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-content .csp-link {
        bottom: -66px;
    }


    .flex-layout.cta_media_combined-layout .cta_photo_album-row .csp-cover {
        position: absolute;
        right: 0;
        top: -2rem;
        width: 50%;
        height: 100%;
        bottom: -2rem;
        height: 220px;
    }

    .flex-layout.cta_media_combined-layout .cta_photo_album-row .pk-grid-container .span-6 {
        width: 50%;
    }
}

/* ── Spotify playlist row ───────────────────────────────────── */
.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row {
    background: var(--secondary-color);
    color: var(--pk-text-color-dark);
    width: 50%;
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-grid-container {
    align-items: center;
    padding-inline: var(--pk-site-gutter);
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .csp-cover {
    position: relative;
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .csp-cover svg {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .csp-cover img {
    aspect-ratio: 1;
    width: 100%;
    height: 100%;
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .csp-subheading,
.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-text {
    font-family: var(--pk-heading-font-family);
    font-weight: var(--pk-heading-font-weight);
    text-transform: uppercase;
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .csp-subheading {
    font-size: var(--scaling-h6-sm);
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-text {
    font-size: var(--scaling-h2-md);
    line-height: 1.1;
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-text .link-wrap {
    display: flex;
    align-items: center;
    gap: 4px;
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-text .link-wrap .arrow {
    flex-shrink: 0;
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-text .link-wrap a {
    color: var(--pk-text-color-dark);
    text-decoration: none;
}

.flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-text .link-wrap a:hover {
    text-decoration: underline;
}

@media screen and (max-width: 992px) {
    .flex-layout.cta_media_combined-layout .cta_spotify_playlist-row {
        padding-block: 2rem;
    }
}


@media screen and (max-width: 767px) {
    .flex-layout.cta_media_combined-layout {
        flex-direction: column;
    }

    .flex-layout.cta_media_combined-layout .cta_spotify_playlist-row {
        width: 100%;
    }

    .flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-grid-container {
        display: flex;
        align-items: center;
        gap: 20px;

    }

    .flex-layout.cta_media_combined-layout .cta_spotify_playlist-row .pk-grid-container .span-6 {
        width: 50%;
    }
}